---

stages:
  - .pre
  - validate
  - build
  - test
  - staging
  - production

variables:
  SECRET_DETECTION_SERVICE: "$CI_REGISTRY_IMAGE/image"
  TARGET_IMAGE: "$SECRET_DETECTION_SERVICE:${CI_COMMIT_SHORT_SHA}"
  RUBY_VERSION: "3.2.6"

include:
  - template: "Workflows/MergeRequest-Pipelines.gitlab-ci.yml"
  - local: "ci/templates/validate.yml"
  - local: "ci/templates/build.yml"
  - local: "ci/templates/test.yml"
  # Runway currently supports `include` only in `.gitlab-ci.yml` file
  - project: "gitlab-com/gl-infra/platform/runway/runwayctl"
    file: "ci-tasks/service-project/runway.yml"
    inputs:
      runway_service_id: secret-detection
      image: $TARGET_IMAGE
      runway_version: v3.44.5
      validate_stage: test
      staging_stage: staging
      production_stage: production
  - local: "ci/templates/release.yml"

